graaff 15/05/09 05:59:28
Modified: rubypants-0.2.0-r5.ebuild ChangeLog
rubypants-0.2.0-r4.ebuild
Log:
Use rm -f to avoid issues like bug 540182.
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key
0x8883FA56A308A8D7!)
Revision Changes Path
1.6 dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild?rev=1.6&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild?rev=1.6&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild?r1=1.5&r2=1.6
Index: rubypants-0.2.0-r5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- rubypants-0.2.0-r5.ebuild 25 Mar 2015 20:20:56 -0000 1.5
+++ rubypants-0.2.0-r5.ebuild 9 May 2015 05:59:28 -0000 1.6
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild,v 1.5
2015/03/25 20:20:56 graaff Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r5.ebuild,v 1.6
2015/05/09 05:59:28 graaff Exp $
EAPI=5
@@ -22,7 +22,7 @@
all_ruby_prepare() {
# the metadata format is ancient, and has quite a bit of trouble,
# remove it and let it use a generated one.
- rm ../metadata || die
+ rm -f ../metadata || die
}
each_ruby_install() {
1.28 dev-ruby/rubypants/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/ChangeLog?rev=1.28&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/ChangeLog?rev=1.28&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/ChangeLog?r1=1.27&r2=1.28
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/rubypants/ChangeLog,v
retrieving revision 1.27
retrieving revision 1.28
diff -u -r1.27 -r1.28
--- ChangeLog 25 Mar 2015 20:20:56 -0000 1.27
+++ ChangeLog 9 May 2015 05:59:28 -0000 1.28
@@ -1,6 +1,10 @@
# ChangeLog for dev-ruby/rubypants
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubypants/ChangeLog,v 1.27
2015/03/25 20:20:56 graaff Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rubypants/ChangeLog,v 1.28
2015/05/09 05:59:28 graaff Exp $
+
+ 09 May 2015; Hans de Graaff <[email protected]> rubypants-0.2.0-r4.ebuild,
+ rubypants-0.2.0-r5.ebuild:
+ Use rm -f to avoid issues like bug 540182.
25 Mar 2015; Hans de Graaff <[email protected]> rubypants-0.2.0-r5.ebuild:
Add ruby22.
1.7 dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild?rev=1.7&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild?rev=1.7&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild?r1=1.6&r2=1.7
Index: rubypants-0.2.0-r4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- rubypants-0.2.0-r4.ebuild 11 Nov 2014 11:10:25 -0000 1.6
+++ rubypants-0.2.0-r4.ebuild 9 May 2015 05:59:28 -0000 1.7
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild,v 1.6
2014/11/11 11:10:25 mrueg Exp $
+# $Header:
/var/cvsroot/gentoo-x86/dev-ruby/rubypants/rubypants-0.2.0-r4.ebuild,v 1.7
2015/05/09 05:59:28 graaff Exp $
EAPI=5
@@ -22,7 +22,7 @@
all_ruby_prepare() {
# the metadata format is ancient, and has quite a bit of trouble,
# remove it and let it use a generated one.
- rm ../metadata || die
+ rm -f ../metadata || die
}
each_ruby_install() {